import request from '@/utils/request'

// 查询客户导出数据列表
export function listCustomerExport(query) {
  return request({
    url: '/wecom/customerExport/list',
    method: 'get',
    params: query
  })
}

// 查询客户导出数据详细
export function getCustomerExport(id) {
  return request({
    url: '/wecom/customerExport/' + id,
    method: 'get'
  })
}

// 新增客户导出数据
export function addCustomerExport(data) {
  return request({
    url: '/wecom/customerExport',
    method: 'post',
    data: data
  })
}

// 修改客户导出数据
export function updateCustomerExport(data) {
  return request({
    url: '/wecom/customerExport',
    method: 'put',
    data: data
  })
}

// 删除客户导出数据
export function delCustomerExport(ids) {
  return request({
    url: '/wecom/customerExport/' + ids,
    method: 'delete'
  })
}

// 导出客户导出数据
export function exportCustomerExport(query) {
  return request({
    url: '/wecom/customerExport/export',
    method: 'post',
    params: query,
    responseType: 'blob'
  })
}

// 异步导出客户导出数据
export function exportAsync(query) {
  return request({
    url: '/wecom/customerExport/exportAsync',
    method: 'post',
    params: query
  })
}

// 查询导出任务状态
export function getExportStatus(taskId) {
  return request({
    url: '/wecom/customerExport/export/status/' + taskId,
    method: 'get'
  })
}

// 查询导出任务列表
export function listExportTask(query) {
  return request({
    url: '/wecom/customerExport/export/list',
    method: 'get',
    params: query
  })
}

// 删除导出任务
export function delExportTask(taskId) {
  return request({
    url: '/wecom/customerExport/export/' + taskId,
    method: 'delete'
  })
}
